Bug 823032 - configchannel.createOrUpdatePath fails to update file/dir, configchannel.createOrUpdateSymlink fails to update symlink
configchannel.createOrUpdatePath fails to update file/dir, configchannel.crea...
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
Depends On:
Blocks: space18
  Show dependency treegraph
Reported: 2012-05-18 16:24 EDT by Jan Hutař
Modified: 2012-11-01 12:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-01 12:18:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2012-05-18 16:24:57 EDT
Description of problem:
configchannel.createOrUpdatePath fails to update file/dir, configchannel.createOrUpdateSymlink fails to update symlink. Tracebask says there is 500 Internal Server Error.

Version-Release number of selected component (if applicable):
SWnightly as of 2012-05-17

How reproducible:

Steps to Reproduce:
1. Use API functions configchannel.createOrUpdatePath and configchannel.createOrUpdateSymlink to update file/directory or symlink in configuration channel

Actual results:
Traceback says:
  File "our_script.py", line 249, in create_or_update_path
    self.client.configchannel.createOrUpdatePath(self.key, configChannelLabel, path, isDir, path_info)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1489, in __request
  File "/usr/lib/python2.6/xmlrpclib.py", line 1243, in request
xmlrpclib.ProtocolError: <ProtocolError for hp-ml370g6-01.rhts.eng.bos.redhat.com/rpc/api: 500 Internal Server Error>

Expected results:
Should work

Additional info:
This started to fail with SWnightly from 2012-05-15
Comment 2 Jan Pazdziora 2012-05-19 14:00:35 EDT
What's the catalina.out traceback?
Comment 3 Tomas Lestach 2012-05-21 05:01:38 EDT
Jan, this was fixed on Friday within Bug 736661 (4d9a50).

Moving to MODIFIED.
Comment 5 Jan Pazdziora 2012-10-30 15:23:06 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 6 Jan Pazdziora 2012-11-01 12:18:11 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.